<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>G-CTMQC: electronic_problem Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">G-CTMQC
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespaceelectronic__problem.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">electronic_problem Module Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>On-the-fly electronic-structure calculations.  
<a href="namespaceelectronic__problem.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a15695c174f3d1f57d393e0fa7511e475"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceelectronic__problem.html#a15695c174f3d1f57d393e0fa7511e475">boproblem</a> (Q, trajlabel)</td></tr>
<tr class="memdesc:a15695c174f3d1f57d393e0fa7511e475"><td class="mdescLeft">&#160;</td><td class="mdescRight">Electronic energies (adiabatic or spin-(a)diabatic), forces and non-adiabatic couplings are compueted at the trajectory position.  <a href="namespaceelectronic__problem.html#a15695c174f3d1f57d393e0fa7511e475">More...</a><br /></td></tr>
<tr class="separator:a15695c174f3d1f57d393e0fa7511e475"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>On-the-fly electronic-structure calculations. </p>
<dl class="section author"><dt>Author</dt><dd>Federica Agostini, Institut de Chimie Physique, University Paris-Saclay. </dd></dl>
</div><h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a15695c174f3d1f57d393e0fa7511e475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15695c174f3d1f57d393e0fa7511e475">&#9670;&nbsp;</a></span>boproblem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine electronic_problem::boproblem </td>
          <td>(</td>
          <td class="paramtype">real(kind=dp), dimension(n_dof), intent(in)&#160;</td>
          <td class="paramname"><em>Q</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>trajlabel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Electronic energies (adiabatic or spin-(a)diabatic), forces and non-adiabatic couplings are compueted at the trajectory position. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">trajlabel</td><td>label of the trajectory </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">Q</td><td>position of the trajectory </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">istate</td><td>integer index running over the electronic states </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">V</td><td>array of (a)diabatic Hamiltonian </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">G</td><td>array of gradients of the (a)diabatic Hamiltonian </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">NAC</td><td>array of non-adiabatic couplings </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Energies, forces and non-adiabatic couplings are stored in the arrays BOenergy, BOforce, coup. </dd></dl>

<p class="definition">Definition at line <a class="el" href="electronic__problem_8f90_source.html#l00043">43</a> of file <a class="el" href="electronic__problem_8f90_source.html">electronic_problem.f90</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceelectronic__problem.html">electronic_problem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
